/*
Colors
#8e44ad <<< Purple
*/


* {
	margin: 0;
}

/*Clearfix*/
.clear {
	clear: both;
}

html, body {
  height: 100%;
}

body {
  	background: url(../images/witewall_3.png) repeat;
}


/*This is a purple color*/
.colored-text {
	color: #8e44ad;
}

.centered-text {
	text-align: center;
}

.wrapper {
	/*margin-top: 100px;*/
}

.carousel-caption {
	margin: 0 !important;
}

.carousel-control.left, .carousel-control.right {
	background-image: none;
}
.container {
  min-height: 100%;
  height: auto !important;
  margin: 0 auto; /* the bottom margin is the negative value of the footer's height */	
}

.fullwidthbanner {
	margin: 0;
	padding: 0;
}


div.fullWidthImgDiv {
	overflow: hidden;
}
div.fullWidthImgDiv > img {
	max-width: 100%;
	display: inline-block;
	margin: 0 auto;
}

.white-text {
	color: white;
}

a:hover {
	color: #8e44ad;
}


/*******************************************
carousel
*******************************************/

.slide-title {
	color: #8e44ad;
}

.fill {
    width: 100%;
    height: 100%;
    background-position: center;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    background-size: cover;
    -o-background-size: cover;
}

/*******************************************
Buttons
*******************************************/

.btn {
	background-color: #8e44ad;
	color: white !important;
	border: 2px solid white;
}
	.btn:hover {
		background-color: #2c3e50;
	}


/*******************************************
NAVIGATION
*******************************************/
.navA {
	/*These change the styles of the navigation links*/
	color: #8e44ad !important;
	font-size: .95em !important;
	padding-left: 7px !important;
	padding-right: 7px !important;
	font-weight: bold !important;
	text-align: center !important;
}

	.navA:hover {
		/*This changes the style of the nav links text when hovering*/
		color: white !important;
	}

li.navA

#bs-example-navbar-collapse-1 {
	padding: 0;
	margin: 0;
}


.socialNavRight {
	padding: 0 !important;
	margin: 0 !important;
}


/*Changes colors of the collapsed navigation icon*/
.collapsed {
	/*border-color: #7b654d !important;*/
}

.icon-bar {
	/*background-color:  #7b654d !important;*/
}


/*This adjusts the colors of links:*/
/*a {
	color: #2c3e50 !important;
}
	a:hover {
		color: #7b654d !important;
	}*/


/*This updates the standard navbar styling*/
.navbar {
	width: 100%;
	border-radius: 0;
	/*border-bottom: 2px solid black;*/
	border-left: none;
	border-top: none;
	border-right: none;
	opacity: 0.95;
	/*This is the drop shadow:*/
    -webkit-box-shadow: 0 8px 6px -6px #999;
    -moz-box-shadow: 0 8px 6px -6px #999;
    box-shadow: 0 8px 6px -6px #999;	
}


.navbar-fixed-top {
	height: 85px !important;
}

/* This sets the color of the navigation bar */
.navbar > .container-fluid,
.navbar > .container-fluid > .navbar-collapse,
.navbar > .container-fluid > .navbar-collapse > .navbar-nav {
	background-color: transparent; !important;
}



/* "Active" navigation stylings */
.navbar-default .navbar-nav > .active > a,
.navbar-default .navbar-nav > .active > a:hover, 
.navbar-default .navbar-nav > .active > a:focus {
	border-bottom: 2px solid black;
	color: black !important;
	font-weight: bold !important;
	background-image:
    /*linear-gradient(
      lightgrey, #8e44ad
    );*/
  /*color: white !important;*/ /*This sets the color of the active nav link text.*/
  /*background: black;*/ /*This sets the color of the background of an active navigation link.*/
 }

/*Active nav stylings for dropdown*/
 .navbar-default .navbar-nav > .dropdown > .dropdown-menu > li.active > a,
 .navbar-default .navbar-nav > .dropdown > .dropdown-menu > li.active > a:hover,
 .navbar-default .navbar-nav > .dropdown > .dropdown-menu > li.active > a:focus
  {
	color: white !important;
	font-weight: bold !important;
	background-color: #8e44ad;
	border: 1px solid #8e44ad;
 }

.gradient {
  background-image:
    linear-gradient(
      white, lightgrey, grey
    );
}


/*white, #9b59b6*/

/*******************************************
PAGES
*******************************************/
.pageHeaderContainer {
	text-align: center;
}

.pageHeaderText {
	padding: 0;
	margin-bottom: 30px;
	/*margin-top: 50px;*/
	text-align: center;
	text-decoration: underline;
}

.welcomeContent, 
.contact-content, 
.pastor-content, 
.mission-content, 
.vision-content,
.calendar-content,
.photos-content {
	padding: 0 25px;
}

.pastor-page-photo {
	margin: 0 auto;
	padding: 0 25px 25px 25px;
}

.mission-content {
	text-align: center;
}


/* This is required to Prevent a Google Maps iframe from capturing the mouse's scrolling wheel behavior*/
.scrolloff {
  pointer-events: none !important;
}

#links {
	margin: 0 auto;
	width: 100%;
	/*padding: 0 !important;*/
}

.thumbnailPhoto {
	max-width: 150px;
	margin: 0 auto;
	padding: 0 10px 10px 0;
}
	.thumbnailPhoto:hover {
		opacity: 0.8;
	}



/*******************************************
FOOTER
*******************************************/


.footer-logo {
	max-width: 250px;
	margin: 0 auto;
}
footer {
	margin: 0 !important;
	min-height: 400px;
	margin-top: 50px;
	min-width: 100% !important; 
	border-top: 2px solid black;
	text-align: center;
}

.footer-inner {
	margin-bottom: 0;
	padding-bottom: 0;
}

.footer-social {
	margin: 0 auto;
}

/* .push must be the same height as .footer; this is for making the footer flush with bottom of viewfinder */
footer, .push {
  min-height: 50px; 
  clear: both;
}

/*This updates social icons with the class "socialIcon"*/
.socialIcon {
	color: white !important;
	display: inline-block;
	margin: 0 auto;
}
	.socialIcon:hover {
		color: lightgrey !important;
	}




/*Override default stylings on Contact Page*/
.page-title{
    padding: 100px 0;
    background-color: #8e44ad;
    /*background:url(../images/contactus.jpg) center no-repeat fixed;*/
    background-size: cover;
}




@media only screen and (max-width: 768px) {
	/* This sets the color of the navigation bar */
	.navbar > .container-fluid > .navbar-collapse > .navbar-nav {
		background-color: lightgrey; !important;
	}
	.navbar-right {
		margin-top: -10px;
	}
	.vision-content {
		padding: 0 5px;
		margin-right: 0;
		margin-left: 0;
		font-size: .75em;
	}
	#visionHeader {
		font-size: 2em;
		margin-bottom: 10px;
	}
}

@media only screen and (min-width: 768px) {
	.navbar-right {
		padding-right: 30px;
	}

}


